# Building the Enchant Voikko provider is disabled by default because it should
# be included in Enchant 1.4.
# Pass '--with enchant' on rpmbuild command-line to enable it.
%bcond_with enchant

Name:           tmispell-voikko
Version:        0.7.1
Release:        2%{?dist}
Summary:        An Ispell compatible front-end for spell-checking modules

Group:          Applications/Text
License:        GPLv2+
URL:            http://voikko.sourceforge.net/
Source0:        http://downloads.sourceforge.net/voikko/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  libvoikko-devel ncurses-devel gettext glibmm24-devel
%if %{with enchant}
BuildRequires: enchant-devel
%endif

%description
Tmispell is an Ispell compatible front-end for spell-checking
modules. To do the actual spell-checking for Finnish language it uses
the spell-checking system Voikko.

%package -n 	enchant-voikko
Summary:        Voikko spellchecker support for Enchant
Group:          System Environment/Libraries


%description -n enchant-voikko
Voikko spellchecker support for Enchant.

# TODO: /usr/bin/ispell should be a symlink to /usr/bin/tmispell and the real
# ispell should be renamed to e.g. /usr/bin/ispell.real for KDE etc. to work.
# The other option would be to modify /usr/bin/ispell to call
# /usr/bin/tmispell when it's called with Finnish. If neither of these can be
# done, it's worth it to have /usr/bin/tmispell as a command line client for
# Voikko.

%prep
%setup -q

%build
%if %{with enchant}
%configure --disable-dependency-tracking
%else
%configure --disable-dependency-tracking --disable-enchant
%endif

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
%if %{with enchant}
# Remove static archive
find $RPM_BUILD_ROOT -name '*.a' -exec rm -f {} ';'
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'
# Remove the symlinks and move the library itself into a better name
rm $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so.1 \
   $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so
mv $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so.* \
   $RPM_BUILD_ROOT%{_libdir}/enchant/libenchant_voikko.so
%endif
# Install the configuration file
sed -i -e 's/ispell.real/ispell/' tmispell.conf.example
install -Dpm 0644 tmispell.conf.example $RPM_BUILD_ROOT%{_sysconfdir}/tmispell.conf
# Fake Finnish dictionary for ispell clients. Commented out for now.
# These won't actually work for KDE etc. unless the binary is in
# /usr/bin/ispell (or /usr/bin/ispell calls tmispell). These files should always 
# be installed into %{_prefix}/lib/ispell/ even though it's an rpmlint error
# because my testing shows that KDE recognizes them from there but not from 
# /usr/share.
#install -dm 755 %{buildroot}%{_prefix}/lib/ispell
#touch %{buildroot}%{_prefix}/lib/ispell/suomi.{hash,aff}
%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README README.fi
%config(noreplace) %{_sysconfdir}/tmispell.conf
%{_mandir}/man1/tmispell*
%{_mandir}/man5/tmispell*
%{_bindir}/tmispell
# Fake dictionary directory, commented out for now
#%{_prefix}/lib/ispell

%if %{with enchant}
%files -n enchant-voikko
%defattr(-,root,root,-)
%{_libdir}/enchant/libenchant_voikko.so
%endif


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 10 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7.1-1
- New upstream release
- Remove upstreamed GCC 4.4 patch
- This package is considered deprecated by upstream and will receive only
  bugfixes from now on. Enchant (with the Voikko provider) should be used
  instead.

* Wed Feb 04 2009 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-2
- Fix build with GCC 4.4

* Wed May 14 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-1
- Bump release for the first Fedora build

* Tue May 13 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.8
- Remove the enchant-voikko-devel package and the static library, which were
  introduced in -0.6 

* Mon May 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.7
- Remove the Voikko provider library symlinks and move the library itself to 
  be libenchant_voikko.so

* Mon May 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.6
- Add defattr to enchant-voikko
- Don't package the symlink libenchant_voikko.so.1
- Use bcond_with
- Add the enchant-voikko-devel package, which contains libenchant_voikko.a

* Sun May 11 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.5
- Make building the enchant provider conditional, disabled by default
- Add --disable-dependency-tracking to configure
- Cleanup BuildRequires

* Tue Mar 25 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.4
- Don't build the enchant provider plugin, it should be shipped with enchant
  1.4

* Sun Feb 17 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.3
- Upstream released 0.7, only minor changes to the RCs

* Wed Feb 13 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.2.rc2
- New RC, uses ncursesw instead of ncurses, UTF-8 problems should be fixed
- Add doc files AUTHORS and COPYING

* Tue Feb 12 2008 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.7-0.1.rc1
- New RC, use this because it removes the glibmm library that was shipped with
  the package and uses the one in the system

* Mon Nov 26 2007 Ville-Pekka Vainio <vpivaini AT cs.helsinki.fi> - 0.6.3-0.1
- Initial package
